gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Path

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Path = Path (ManagedPtr Path)
- noPath :: Maybe Path

# Exported types

newtype Path Source #

Memory-managed wrapper type.

Constructors

Path (ManagedPtr Path) |

Instances

WrappedPtr Path Source # |
Instance details Defined in GI.Cairo.Structs.Path Methods wrappedPtrCalloc :: IO (Ptr Path) Source # wrappedPtrCopy :: Path -> IO Path Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Path -> IO ())) Source #

noPath :: Maybe Path Source #

A convenience alias for `Nothing` :: `Maybe` `Path`.